Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg.model
Class VVQueue.Descriptor

    java.lang.Object
      de.grogra.xl.impl.queues.QueueDescriptor<VVQueue>
          de.grogra.rgg.model.VVQueue.Descriptor

Enclosing class:
  VVQueue

    public static final class VVQueue.Descriptor

extends QueueDescriptor<VVQueue>

Field Summary

Fields inherited from class de.grogra.xl.impl.queues.QueueDescriptor
`DESCRIPTOR_0`

Constructor Summary
`VVQueue.Descriptor()`

Method Summary
`VVQueue` | `createQueue(QueueCollection qc)` Creates a new `Queue`.
`protected QueueDescriptor[]` | `queuesToProcessAfter()` Returns the descriptors of queues which are to be applied after the queue of this descriptor.
`protected QueueDescriptor[]` | `queuesToProcessBefore()` Returns the descriptors of queues which are to be applied before the queue of this descriptor.

Methods inherited from class de.grogra.xl.impl.queues.QueueDescriptor
`addOrder, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VVQueue.Descriptor

    public VVQueue.Descriptor()

Method Detail

### createQueue

    public VVQueue createQueue(QueueCollection qc)

  Description copied from class: `QueueDescriptor`
  Creates a new `Queue`. This method is invoked by `QueueCollection.getQueue(QueueDescriptor)`.

  Specified by:
    `createQueue` in class `QueueDescriptor<VVQueue>`
  Parameters:
    `qc` - the invoking `QueueCollection`
  Returns:
    a new `Queue` instance corresponding to this descriptor

### queuesToProcessAfter

    protected QueueDescriptor[] queuesToProcessAfter()

  Description copied from class: `QueueDescriptor`
  Returns the descriptors of queues which are to be applied after the queue of this descriptor.

  Specified by:
    `queuesToProcessAfter` in class `QueueDescriptor<VVQueue>`
  Returns:
    descriptors of queues to be applied after this descriptor's queue
  See Also:
    `QueueCollection.process(int[])`

### queuesToProcessBefore

    protected QueueDescriptor[] queuesToProcessBefore()

  Description copied from class: `QueueDescriptor`
  Returns the descriptors of queues which are to be applied before the queue of this descriptor.

  Specified by:
    `queuesToProcessBefore` in class `QueueDescriptor<VVQueue>`
  Returns:
    descriptors of queues to be applied before this descriptor's queue
  See Also:
    `QueueCollection.process(int[])`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD